Get volume template
curl --request GET \
--url https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/volume_templates/{volumeTemplateName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"name": "my-resource",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Resource",
"labels": {},
"plan": "<string>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"defaultSize": 123,
"description": "<string>"
},
"state": {
"lastVersionUploadedAt": "<string>",
"latestVersion": "<string>",
"versionCount": 123
},
"versions": [
{
"bucket": "<string>",
"contentSize": 123,
"name": "<string>",
"region": "<string>",
"templateName": "<string>",
"versionId": "<string>",
"workspace": "<string>"
}
]
}volumeTemplates
Get volume template
Returns a volume template by name.
GET
/
volume_templates
/
{volumeTemplateName}
Get volume template
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Name of the volume template
Response
200 - application/json
successful operation
Volume template for creating pre-configured volumes
Common metadata fields shared by all Blaxel resources including name, labels, timestamps, and ownership information
Show child attributes
Show child attributes
Volume template specification
Show child attributes
Show child attributes
Volume template state
Show child attributes
Show child attributes
List of versions for this template
Show child attributes
Show child attributes
Last modified on May 27, 2026
Was this page helpful?
⌘I
